Package net.sf.saxon.lib

## Class NamespaceConstant

- java.lang.Object
- - net.sf.saxon.lib.NamespaceConstant

-     public class NamespaceConstant
      extends java.lang.Object

  This class is not instantiated, it exists to hold a set of constants representing known namespaces. For each of these, there is a constant for the namespace URI and for many of them, there is a numeric constant used as the code for this namespace in the name pool.

  This class also defines constant URIs for some objects other than namespaces - for example, URIs that identify the various object models used in the JAXP XPath API, and the Unicode codepoint collation URI.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ANONYMOUS` | Namespace for names allocated to anonymous types.
    `static java.lang.String` | `ARRAY_FUNCTIONS` | Namespace URI for XPath 3.1 functions associated with arrays
    `static java.lang.String` | `CODEPOINT_COLLATION_URI` | URI identifying the Unicode codepoint collation
    `static java.lang.String` | `DOT_NET_TYPE` | Namespace for types representing external .NET objects
    `static java.lang.String` | `ERR` | The standard namespace for system error codes
    `static java.lang.String` | `EXPATH_ZIP` | URI for the EXPath zip module
    `static java.lang.String` | `EXSLT_COMMON` | Fixed namespace name for EXSLT/Common: "http://exslt.org/common"
    `static java.lang.String` | `EXSLT_DATES_AND_TIMES` | Fixed namespace name for EXSLT/date: "http://exslt.org/dates-and-times"
    `static java.lang.String` | `EXSLT_MATH` | Fixed namespace name for EXSLT/math: "http://exslt.org/math"
    `static java.lang.String` | `EXSLT_RANDOM` | Fixed namespace name for EXSLT/random: "http://exslt.org/random"
    `static java.lang.String` | `EXSLT_SETS` | Fixed namespace name for EXSLT/sets: "http://exslt.org/sets"
    `static java.lang.String` | `FN` | The standard namespace for functions and operators
    `static java.lang.String` | `GLOBAL_JS` | URI for the user extension calls in Saxon.js
    `static java.lang.String` | `HTML5_CASE_BLIND_COLLATION_URI` | URI identifying the HTML5 ascii-case-blind collation
    `static java.lang.String` | `IXSL` | URI for interactive XSLT extensions in Saxon-CE and Saxon-JS
    `static java.lang.String` | `JAVA_TYPE` | Namespace for types representing external Java objects
    `static java.lang.String` | `LOCAL` | Predefined XQuery namespace for local functions
    `static java.lang.String` | `MAP_FUNCTIONS` | Namespace URI for XPath 3.0 functions associated with maps
    `static java.lang.String` | `MATH` | Math namespace for the XPath 3.0 math functions
    `static java.lang.String` | `MATHML` | The MathML namespace
    `static java.lang.String` | `NULL` | A URI representing the null namespace (actually, an empty string)
    `static java.lang.String` | `OBJECT_MODEL_AXIOM` | URI identifying the AXIOM object model for use in the JAXP 1.3 XPath API
    `static java.lang.String` | `OBJECT_MODEL_DOM4J` | URI identifying the DOM4J object model for use in the JAXP 1.3 XPath API
    `static java.lang.String` | `OBJECT_MODEL_DOMINO` | URI identifying the DOMINO object model (not used, but needed for consistency)
    `static java.lang.String` | `OBJECT_MODEL_DOT_NET_DOM` | URI identifying the .NET DOM object model (not used, but needed for consistency)
    `static java.lang.String` | `OBJECT_MODEL_JDOM` | URI identifying the JDOM object model for use in the JAXP 1.3 XPath API
    `static java.lang.String` | `OBJECT_MODEL_SAXON` | URI identifying the Saxon object model for use in the JAXP 1.3 XPath API
    `static java.lang.String` | `OBJECT_MODEL_XOM` | URI identifying the XOM object model for use in the JAXP 1.3 XPath API
    `static java.lang.String` | `OUTPUT` | The standard namespace for XQuery output declarations
    `static java.lang.String` | `PHP` | URI for the user extension calls in Saxon/C for C++ and PHP
    `static java.lang.String` | `SAXON` | Current namespace name for SAXON (from 7.0 onwards): "http://saxon.sf.net/"
    `static java.lang.String` | `SAXON_CONFIGURATION` | URI for the Saxon configuration file
    `static java.lang.String` | `SAXON_GENERATED_VARIABLE` | URI for the names of generated variables
    `static java.lang.String` | `SAXON_XSLT_EXPORT` | Fixed namespace name for the export of a Saxon stylesheet package
    `static java.lang.String` | `SAXON6` | Old namespace name for SAXON6: "http://icl.com/saxon"
    `static java.lang.String` | `SCHEMA` | Namespace name for XML Schema: "http://www.w3.org/2001/XMLSchema"
    `static java.lang.String` | `SCHEMA_INSTANCE` | XML-schema-defined namespace for use in instance documents ("xsi")
    `static java.lang.String` | `SCHEMA_VERSIONING` | Namespace defined in XSD 1.1 for schema versioning
    `static java.lang.String` | `SCM` | Namespace for the Saxon serialization of the schema component model
    `static java.lang.String` | `SQL` | Fixed namespace name for SAXON SQL extension: "http://saxon.sf.net/sql"
    `static java.lang.String` | `SVG` | The SVG namespace
    `static java.lang.String` | `XHTML` | The XHTML namespace http://www.w3.org/1999/xhtml
    `static java.lang.String` | `XLINK` | The XLink namespace
    `static java.lang.String` | `XML` | Fixed namespace name for XML: "http://www.w3.org/XML/1998/namespace".
    `static java.lang.String` | `XMLNS` | The XMLNS namespace (used in DOM)
    `static java.lang.String` | `XQUERY` | The xquery namespace for the XQuery 3.0 declare option
    `static java.lang.String` | `XSLT` | Fixed namespace name for XSLT: "http://www.w3.org/1999/XSL/Transform"

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `findSimilarNamespace​(java.lang.String candidate)` | Find a similar namespace to one that is a possible mis-spelling
    `static java.lang.String` | `getConventionalPrefix​(java.lang.String uri)` | Get the conventional prefix for a common namespace
    `static java.lang.String` | `getUriForConventionalPrefix​(java.lang.String prefix)` | Get the URI associated with a commonly-used conventional prefix
    `static boolean` | `isReserved​(java.lang.String uri)` | Determine whether a namespace is a reserved namespace
    `static boolean` | `isReservedInQuery31​(java.lang.String uri)` | Determine whether a namespace is a reserved namespace in XQuery

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NULL

          public static final java.lang.String NULL

      A URI representing the null namespace (actually, an empty string)
      See Also:
        Constant Field Values

    - #### XML

          public static final java.lang.String XML

      Fixed namespace name for XML: "http://www.w3.org/XML/1998/namespace".
      See Also:
        Constant Field Values

    - #### XSLT

          public static final java.lang.String XSLT

      Fixed namespace name for XSLT: "http://www.w3.org/1999/XSL/Transform"
      See Also:
        Constant Field Values

    - #### SAXON

          public static final java.lang.String SAXON

      Current namespace name for SAXON (from 7.0 onwards): "http://saxon.sf.net/"
      See Also:
        Constant Field Values

    - #### SAXON6

          public static final java.lang.String SAXON6

      Old namespace name for SAXON6: "http://icl.com/saxon"
      See Also:
        Constant Field Values

    - #### SAXON_XSLT_EXPORT

          public static final java.lang.String SAXON_XSLT_EXPORT

      Fixed namespace name for the export of a Saxon stylesheet package
      See Also:
        Constant Field Values

    - #### SCHEMA

          public static final java.lang.String SCHEMA

      Namespace name for XML Schema: "http://www.w3.org/2001/XMLSchema"
      See Also:
        Constant Field Values

    - #### SCHEMA_INSTANCE

          public static final java.lang.String SCHEMA_INSTANCE

      XML-schema-defined namespace for use in instance documents ("xsi")
      See Also:
        Constant Field Values

    - #### SCHEMA_VERSIONING

          public static final java.lang.String SCHEMA_VERSIONING

      Namespace defined in XSD 1.1 for schema versioning
      See Also:
        Constant Field Values

    - #### SQL

          public static final java.lang.String SQL

      Fixed namespace name for SAXON SQL extension: "http://saxon.sf.net/sql"
      See Also:
        Constant Field Values

    - #### EXSLT_COMMON

          public static final java.lang.String EXSLT_COMMON

      Fixed namespace name for EXSLT/Common: "http://exslt.org/common"
      See Also:
        Constant Field Values

    - #### EXSLT_MATH

          public static final java.lang.String EXSLT_MATH

      Fixed namespace name for EXSLT/math: "http://exslt.org/math"
      See Also:
        Constant Field Values

    - #### EXSLT_SETS

          public static final java.lang.String EXSLT_SETS

      Fixed namespace name for EXSLT/sets: "http://exslt.org/sets"
      See Also:
        Constant Field Values

    - #### EXSLT_DATES_AND_TIMES

          public static final java.lang.String EXSLT_DATES_AND_TIMES

      Fixed namespace name for EXSLT/date: "http://exslt.org/dates-and-times"
      See Also:
        Constant Field Values

    - #### EXSLT_RANDOM

          public static final java.lang.String EXSLT_RANDOM

      Fixed namespace name for EXSLT/random: "http://exslt.org/random"
      See Also:
        Constant Field Values

    - #### FN

          public static final java.lang.String FN

      The standard namespace for functions and operators
      See Also:
        Constant Field Values

    - #### OUTPUT

          public static final java.lang.String OUTPUT

      The standard namespace for XQuery output declarations
      See Also:
        Constant Field Values

    - #### ERR

          public static final java.lang.String ERR

      The standard namespace for system error codes
      See Also:
        Constant Field Values

    - #### LOCAL

          public static final java.lang.String LOCAL

      Predefined XQuery namespace for local functions
      See Also:
        Constant Field Values

    - #### MATH

          public static final java.lang.String MATH

      Math namespace for the XPath 3.0 math functions
      See Also:
        Constant Field Values

    - #### MAP_FUNCTIONS

          public static final java.lang.String MAP_FUNCTIONS

      Namespace URI for XPath 3.0 functions associated with maps
      See Also:
        Constant Field Values

    - #### ARRAY_FUNCTIONS

          public static final java.lang.String ARRAY_FUNCTIONS

      Namespace URI for XPath 3.1 functions associated with arrays
      See Also:
        Constant Field Values

    - #### XHTML

          public static final java.lang.String XHTML

      The XHTML namespace http://www.w3.org/1999/xhtml
      See Also:
        Constant Field Values

    - #### SVG

          public static final java.lang.String SVG

      The SVG namespace
      See Also:
        Constant Field Values

    - #### MATHML

          public static final java.lang.String MATHML

      The MathML namespace
      See Also:
        Constant Field Values

    - #### XMLNS

          public static final java.lang.String XMLNS

      The XMLNS namespace (used in DOM)
      See Also:
        Constant Field Values

    - #### XLINK

          public static final java.lang.String XLINK

      The XLink namespace
      See Also:
        Constant Field Values

    - #### XQUERY

          public static final java.lang.String XQUERY

      The xquery namespace for the XQuery 3.0 declare option
      See Also:
        Constant Field Values

    - #### JAVA_TYPE

          public static final java.lang.String JAVA_TYPE

      Namespace for types representing external Java objects
      See Also:
        Constant Field Values

    - #### DOT_NET_TYPE

          public static final java.lang.String DOT_NET_TYPE

      Namespace for types representing external .NET objects
      See Also:
        Constant Field Values

    - #### ANONYMOUS

          public static final java.lang.String ANONYMOUS

      Namespace for names allocated to anonymous types. This exists so that a name fingerprint can be allocated for use as a type annotation.
      See Also:
        Constant Field Values

    - #### SCM

          public static final java.lang.String SCM

      Namespace for the Saxon serialization of the schema component model
      See Also:
        Constant Field Values

    - #### OBJECT_MODEL_SAXON

          public static final java.lang.String OBJECT_MODEL_SAXON

      URI identifying the Saxon object model for use in the JAXP 1.3 XPath API
      See Also:
        Constant Field Values

    - #### OBJECT_MODEL_XOM

          public static final java.lang.String OBJECT_MODEL_XOM

      URI identifying the XOM object model for use in the JAXP 1.3 XPath API
      See Also:
        Constant Field Values

    - #### OBJECT_MODEL_JDOM

          public static final java.lang.String OBJECT_MODEL_JDOM

      URI identifying the JDOM object model for use in the JAXP 1.3 XPath API
      See Also:
        Constant Field Values

    - #### OBJECT_MODEL_AXIOM

          public static final java.lang.String OBJECT_MODEL_AXIOM

      URI identifying the AXIOM object model for use in the JAXP 1.3 XPath API
      See Also:
        Constant Field Values

    - #### OBJECT_MODEL_DOM4J

          public static final java.lang.String OBJECT_MODEL_DOM4J

      URI identifying the DOM4J object model for use in the JAXP 1.3 XPath API
      See Also:
        Constant Field Values

    - #### OBJECT_MODEL_DOT_NET_DOM

          public static final java.lang.String OBJECT_MODEL_DOT_NET_DOM

      URI identifying the .NET DOM object model (not used, but needed for consistency)
      See Also:
        Constant Field Values

    - #### OBJECT_MODEL_DOMINO

          public static final java.lang.String OBJECT_MODEL_DOMINO

      URI identifying the DOMINO object model (not used, but needed for consistency)
      See Also:
        Constant Field Values

    - #### CODEPOINT_COLLATION_URI

          public static final java.lang.String CODEPOINT_COLLATION_URI

      URI identifying the Unicode codepoint collation
      See Also:
        Constant Field Values

    - #### HTML5_CASE_BLIND_COLLATION_URI

          public static final java.lang.String HTML5_CASE_BLIND_COLLATION_URI

      URI identifying the HTML5 ascii-case-blind collation
      See Also:
        Constant Field Values

    - #### SAXON_GENERATED_VARIABLE

          public static final java.lang.String SAXON_GENERATED_VARIABLE

      URI for the names of generated variables
      See Also:
        Constant Field Values

    - #### SAXON_CONFIGURATION

          public static final java.lang.String SAXON_CONFIGURATION

      URI for the Saxon configuration file
      See Also:
        Constant Field Values

    - #### EXPATH_ZIP

          public static final java.lang.String EXPATH_ZIP

      URI for the EXPath zip module
      See Also:
        Constant Field Values

    - #### GLOBAL_JS

          public static final java.lang.String GLOBAL_JS

      URI for the user extension calls in Saxon.js
      See Also:
        Constant Field Values

    - #### PHP

          public static final java.lang.String PHP

      URI for the user extension calls in Saxon/C for C++ and PHP
      See Also:
        Constant Field Values

    - #### IXSL

          public static final java.lang.String IXSL

      URI for interactive XSLT extensions in Saxon-CE and Saxon-JS
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getConventionalPrefix

          public static java.lang.String getConventionalPrefix​(java.lang.String uri)

      Get the conventional prefix for a common namespace
      Parameters:
        `uri` - the namespace URI
      Returns:
        the conventional prefix for this URI if there is one, or null otherwise

    - #### getUriForConventionalPrefix

          public static java.lang.String getUriForConventionalPrefix​(java.lang.String prefix)

      Get the URI associated with a commonly-used conventional prefix
      Parameters:
        `prefix` - the namespace prefix
      Returns:
        the namespace URI associated with this conventional prefix

    - #### isReserved

          public static boolean isReserved​(java.lang.String uri)

      Determine whether a namespace is a reserved namespace
      Parameters:
        `uri` - the namespace URI to be tested
      Returns:
        true if this namespace URI is a reserved namespace

    - #### isReservedInQuery31

          public static boolean isReservedInQuery31​(java.lang.String uri)

      Determine whether a namespace is a reserved namespace in XQuery
      Parameters:
        `uri` - the namespace URI to be tested
      Returns:
        true if this namespace URI is reserved in XQuery 3.1

    - #### findSimilarNamespace

          public static java.lang.String findSimilarNamespace​(java.lang.String candidate)

      Find a similar namespace to one that is a possible mis-spelling
      Parameters:
        `candidate` - the possibly mis-spelt namespace
      Returns:
        the correct spelling of the namespace